Subject: bug#23709: 24.5; inhibit-eol-conversion breaks archive-7z-summarize

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Apr 2017 19:00:43 +0300

> From: "Peromsik, Aaron" <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Wed, 5 Apr 2017 14:14:05 +0000
> 
> I set it in my .emacs years ago, so I can't be sure.

May I suggest to unset it now and see if you have any problems?

> That said, I think it was probably because I almost never
> want to write a file with Windows line endings.

On what OS?  If on Windows, then the "official" way of doing that is
to use add-untranslated-filesystem.  You could also set up the default
for buffer-file-coding-system to be SOMETHING-unix.

If you want that on Unix, then I don't think I understand your
original problem: Emacs on Windows doesn't save files with Windows
line endings, unless they had Windows line endings before you visited
them, and in the latter case setting inhibit-eol-conversion will not
help you in any way.